/*
 
Copyright 2011 Serafino D'Angelillo <arriva-sera@hotmail.it>
 
This file is part of qiXD.
 
qiXD is free software: you can redistribute it and/or
modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
 
qiXD is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with qiXD.  If not, see
<http://www.gnu.org/licenses/>.
 
*/


#ifndef CURSORE_H
#define CURSORE_H

class Cursore
{
	private:
		int x,y, xg, yg;
		char c;


	public:
		Cursore();

		void inserisciInMatriceGioco();
		void inserisciInMatriceGioco(int rx, int ry);

		int getX() const;
		int getY() const;
		int getXG() const;
		int getYG() const;
		char getC() const;

		void moveToLeft();
		void moveToRight();
		void moveToUp();
		void moveToDown();


};
#endif
