/*
 
Copyright 2011 Serafino D'Angelillo <arriva-sera@hotmail.it>
 
This file is part of qiXD.
 
qiXD is free software: you can redistribute it and/or
modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
 
qiXD is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with qiXD.  If not, see
<http://www.gnu.org/licenses/>.
 
*/



#include "menu.h"
#include <ncurses.h>
#include <ctime>
#include <cstdlib>


Menu::Menu()
{
}


void Menu::creaMenu()
{
	curs_set(0);
	init_pair(20, COLOR_WHITE, COLOR_BLACK);	

	attron(COLOR_PAIR(20));
	mvprintw(16, 55, "(N)uova Partita");
	mvprintw(18, 56, "(C)lassifica");
	mvprintw(20, 57, "(E)sci");

	refresh();
}


void Menu::disegnaScritta()
{
	srand(time(0));

	curs_set(0);
	init_pair(21, COLOR_RED, COLOR_RED);
	init_pair(22, COLOR_GREEN, COLOR_GREEN);
	init_pair(23, COLOR_YELLOW, COLOR_YELLOW);
	init_pair(24, COLOR_BLUE, COLOR_BLUE);
	init_pair(25, COLOR_MAGENTA, COLOR_MAGENTA);
	init_pair(26, COLOR_CYAN, COLOR_CYAN);

	init_pair(30, COLOR_WHITE, COLOR_WHITE);

	int col = ((rand() % 6)+1) +20;
	

	attron(COLOR_PAIR(col));

	mvprintw(2, 35, "***************");
	mvprintw(3, 35, "**");
	mvprintw(3, 48, "**");
	mvprintw(4, 35, "**");
	mvprintw(4, 48, "**");
	mvprintw(5, 35, "**");
	mvprintw(5, 48, "**");
	mvprintw(6, 35, "**");
	mvprintw(6, 48, "**");
	mvprintw(7, 35, "**");
	mvprintw(7, 48, "**");
	mvprintw(8, 35, "**");
	mvprintw(8, 45, "*****");	
	mvprintw(9, 35, "**");
	mvprintw(9, 45, "*****");
	mvprintw(10, 35, "***************");


	mvprintw(2, 54, "**");
	mvprintw(3, 54, "**");
	mvprintw(4, 54, "**");
	mvprintw(5, 54, "**");
	mvprintw(6, 54, "**");
	mvprintw(7, 54, "**");
	mvprintw(8, 54, "**");
	mvprintw(9, 54, "**");
	mvprintw(10, 54, "**");


	mvprintw(2, 60, "***");
	mvprintw(3, 62, "***");
	mvprintw(4, 64, "***");
	mvprintw(5, 66, "***");
	mvprintw(6, 68, "***");
	mvprintw(7, 70, "***");
	mvprintw(8, 72, "***");
	mvprintw(9, 74, "***");
	mvprintw(10, 76, "***");

	
	mvprintw(1, 77, "***");
	mvprintw(2, 75, "***");
	mvprintw(3, 73, "***");
	mvprintw(4, 71, "***");
	mvprintw(5, 69, "***");
	mvprintw(6, 67, "***");
	mvprintw(7, 65, "***");
	mvprintw(8, 63, "***");
	mvprintw(9, 61, "***");
	mvprintw(10, 59, "***");
	mvprintw(11, 57, "***");
	mvprintw(12, 55, "***");
	mvprintw(13, 53, "***");
	mvprintw(14, 51, "***");
	mvprintw(15, 49, "***");
	mvprintw(16, 47, "***");
	mvprintw(17, 45, "***");


	mvprintw(1, 82, "**********");
	mvprintw(2, 82, "**");		mvprintw(2, 92, "**");
	mvprintw(3, 82, "**");		mvprintw(3, 94, "**");
	mvprintw(4, 82, "**");		mvprintw(4, 94, "**");
	mvprintw(5, 82, "**");		mvprintw(5, 94, "**");
	mvprintw(6, 82, "**");		mvprintw(6, 94, "**");
	mvprintw(7, 82, "**");		mvprintw(7, 94, "**");
	mvprintw(8, 82, "**");		mvprintw(8, 94, "**");
	mvprintw(9, 82, "**");		mvprintw(9, 92, "**");
	mvprintw(10, 82, "**********");
	


	attron(COLOR_PAIR(30));
	mvprintw(14, 43 , "*******");	mvprintw(14, 55, "********************");
	mvprintw(15, 43 , "*");		mvprintw(15, 74 , "*");
	mvprintw(16, 43 , "*");		mvprintw(16, 74 , "*");
	mvprintw(17, 43 , "*");		mvprintw(17, 74 , "*");
	mvprintw(18, 43 , "*");		mvprintw(18, 74 , "*");
	mvprintw(19, 43 , "*");		mvprintw(19, 74, "*");
	mvprintw(20, 43 , "*");		mvprintw(20, 74 , "*");
	mvprintw(21, 43 , "*");		mvprintw(21, 74 , "*");
	mvprintw(22, 43 , "********************************");

}


int Menu::cosaFare()
{
	int risp;

	timeout(1000);
	do{
		risp = getch();
	}while(risp != 'n' && risp != 'c' && risp != 'e' && risp != ERR);

	return risp;
}


void Menu::cancellaMenu()
{
	erase();
}
